Zum Inhalt springen
Leadtime
Deutsch
Esc
navigateopen⌘Jpreview

Reject quotation

Rejects the quotation, marking it as not accepted. Rejected quotations will not be used for billing.

What happens when a quotation is rejected:

  • The quotation status changes to Rejected
  • The quotation will not be used for task billing
  • If this was the accepted quotation, the task’s hasAcceptedQuotation flag is cleared
  • Notifications are sent to task subscribers

Note: Rejecting a quotation does not affect other quotations for the same task. You can reject multiple quotations, but only one can be Accepted at a time.

POST/tasks/{identifier}/express-quotations/{quotationId}/reject
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
identifierstringrequired
Task UUID or numeric shortNumber
quotationIdstringrequired
Quotation UUID
Responses
200Quotation rejected successfully
successbooleanrequired
Operation success flag
400Invalid task identifier or quotation ID
401Unauthorized - Invalid or missing authentication token
403No access to task project
404Task or quotation not found
Request
curl -X POST "https://leadtime.app/api/public/tasks/550e8400-e29b-41d4-a716-446655440000%20or%20123/express-quotations/550e8400-e29b-41d4-a716-446655440000/reject" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Response
{
  "success": true
}